# Retrieve job status

Retrieve the status of job execution.

Endpoint: GET /jobs/status/{job_id}
Version: 2.16
Security: bearerAuth

## Path parameters:

  - `job_id` (string, required)
    The unique identifier for the job which is given by Intercom

## Header parameters:

  - `Intercom-Version` (string)

## Response 200 fields (application/json):

  - `type` (string)
    The type of the object
    Enum: "job"

  - `id` (string, required)
    The id of the job that's currently being processed or has completed.
    Example: 20

  - `url` (string)
    API endpoint URL to check the job status.
    Example: https://api.intercom.io/jobs/status/20

  - `status` (string)
    The status of the job execution.
    Enum: "pending", "success", "failed"

  - `resource_type` (string)
    The type of resource created during job execution.
    Example: ticket

  - `resource_id` (string)
    The id of the resource created during job execution (e.g. ticket id)
    Example: 123

  - `resource_url` (string)
    The url of the resource created during job exeuction. Use this url to fetch the resource.
    Example: http://api.intercom.io/tickets/123

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

## Response 404 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

